# Interface methods for submodule: LabelMapToBinaryImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import LabelMapFilterProxy as _LabelMapFilterProxy


# Interface methods for class: LabelMapToBinaryImageFilter
class LabelMapToBinaryImageFilterProxy(_LabelMapFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetBackgroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetBackgroundValue(self) -> int:
		""""""
		...

	def SetForegroundValue(self, _arg: int) -> None:
		""""""
		...

	def GetForegroundValue(self) -> int:
		""""""
		...

	def SetBackgroundImage(self, input) -> None:
		""""""
		...

	def GetBackgroundImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

